Tp::StatefulDBusProxy Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::StatefulDBusProxy Class Reference

The StatefulDBusProxy class is a base class representing a remote object whose API is stateful. More...

`#include <TelepathyQt/StatefulDBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Tp::CallContent, Tp::CallStream, Tp::Channel, Tp::ChannelDispatchOperation, Tp::ChannelRequest, Tp::Connection, and Tp::DebugReceiver.

## Public Member Functions
| StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~StatefulDBusProxy ()
Public Member Functions inherited from Tp::DBusProxy
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const

## Static Public Member Functions
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)

## Additional Inherited Members
Signals inherited from Tp::DBusProxy
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::DBusProxy
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const

## Detailed Description

The StatefulDBusProxy class is a base class representing a remote object whose API is stateful.

These objects do not remain useful if the service providing them exits or crashes, so they emit invalidated() if this happens.

Examples include the Connection and Channel classes.

## Constructor & Destructor Documentation

Tp::StatefulDBusProxy::StatefulDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | const Feature & | featureCore
| ) |  |

Construct a new StatefulDBusProxy object.

Parameters

  dbusConnection | QDBusConnection to use.
  busName | D-Bus bus name of the service that provides the remote object.
  objectPath | The object path.
  featureCore | The object core feature.

Tp::StatefulDBusProxy::~StatefulDBusProxy | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique
| ) |  |
| static

QString Tp::StatefulDBusProxy::uniqueNameFrom | ( | const QDBusConnection & | bus,
|  | const QString & | wellKnownOrUnique,
|  | QString & | error,
|  | QString & | message
| ) |  |
| static